Skip to main content

Call Vehicle Data API

This guide explains how Private Users call the Vehicle Data API.

Except for the authentication process, the Vehicle Data API is the same as the API for Business Users.

API URL​

API URL for Vehicle Data API
https://api.pleos.ai

Use the following headers when calling the Vehicle Data API.

ParameterTypeDescriptionRequired
AuthorizationstringBearer <ACCESS_TOKEN>Required
Content-Typestringapplication/jsonOptional
BrandstringVehicle brand (hyundai/kia/genesis)Required

Calling the Vehicle Data API​

Each Vehicle Data API can be called independently without a separate call order. However, you must issue an access token with your My Vehicle API key before calling the Vehicle Data API.

caution

The following values must correspond to one another when calling the Vehicle Data API:

  • Brand: The vehicle manufacturer selected when issuing the access token
  • Authorization: The access token used to retrieve data for the vehicle manufacturer specified by Brand
  • vin: The VIN of a vehicle manufactured by the vehicle manufacturer specified by Brand
  1. Refer to Authorization and call the Private Users access token issuance API.

  2. Call Get Vehicles (Private Users) to identify the vin of the vehicle to query.

    curl
    curl -X GET "https://api.pleos.ai/v1/vehicles/consent" \
    -H "Authorization: Bearer <ACCESS_TOKEN>" \
    -H "Brand: hyundai" \
    -H "Content-Type: application/json"
  3. Include the access token and the vehicle vin in the Authorization header and path parameter, respectively.

  4. Call the Vehicle Data API and check the result.

    For example, call the following API to retrieve the vehicle's battery charging status.

    curl
    curl -X GET "https://api.pleos.ai/v1/vehicles/{vin}/batteries" \
    -H "Authorization: Bearer <ACCESS_TOKEN>" \
    -H "Content-Type: application/json" \
    -H "Brand: hyundai"

Response Messages​

Response Envelope​

Successful responses follow the format below.

Response Envelope
{
"data": {
...
},
"meta": {
"code": 200,
"message": "Success",
"success": true,
"timestamp": "2026-07-03T10:00:00+09:00",
"requestId": "835bdbd4-1105-4a8c-b438-fa0873d1b246"
}
}
FieldTypeDescription
dataobjectAPI-specific response data
metaobjectResponse metadata
meta.codenumberResponse code
meta.messagestringResponse message
meta.successbooleanWhether the request succeeded
meta.timestampstringResponse time
meta.requestIdstringRequest ID

Error Response​

Failed responses follow the format below.

Error Response
{
"error": {
"code": "40001",
"message": "Invalid Parameters",
"requestId": "835bdbd4-1105-4a8c-b438-fa0873d1b246",
"details": [
{
"field": "identifier",
"issue": "must not be blank."
}
],
"timestamp": "2026-07-03T10:00:00+09:00"
}
}
FieldTypeDescription
errorobjectError information
error.codestringError code
error.messagestringError message
error.requestIdstringRequest ID
error.detailsarrayError details
error.details.fieldstringField where the error occurred
error.details.issuestringError details for the field
error.timestampstringTime when the error occurred
info

See Error Code for the list of error codes.